/// <reference types="node" />
import { ForkOptions } from 'child_process';
export interface NpmOptions extends Partial<NpmRegistryConfig> {
    cwd: string;
    silent?: boolean;
}
export interface NpmRegistryConfig {
    registry: string;
    token: string;
    packageNamePatterns?: string[];
}
export interface ForkArguments {
    cmd: string;
    args: string[];
    options: ForkOptions;
}
